/* AdeptREXX */

arg line

BUGDIR    = "d:/adept/menus/BUG/"

Today     = Date('W');

TodaysData = BUGDIR||Today||".data"

quit='FALSE'

Weekdays.1='Sunday'
Weekdays.2='Monday'
Weekdays.3='Tuesday'
Weekdays.4='Wednesday'
Weekdays.5='Thursday'
Weekdays.6='Friday'
Weekdays.7='Saturday'

/*
  Lookum Likum Thisum...
													  XX
												   XX XX XX			 XX	XX
   XX								XX			   XX XX XX		  XX XX	XX
   XX					XX  		XX XX		   XX XX XX	XX XX XX XX	XX
   XX XX			 XX	XX XX XX	XX XX XX XX	XX XX XX XX	XX XX XX XX	XX
   XX XX XX	XX    XX XX	XX XX XX XX	XX XX XX XX	XX XX XX XX	XX XX XX XX	XX
   -----------------------------------------------------------------------
   00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23
   -----------------------------------------------------------------------
*/

main:

  do while quit='FALSE'
    
    h.0 = 0

    call InputData
    call GetPercentages
    call DrawGraph
    call Menu

  end

exit


InputData:

  TodaysData = BUGDIR||Today||".data"

  h.0 = LineIn(TodaysData,1)

  do a = 1 to 23
    h.a = LineIn(TodaysData)
  end
  
  call Lineout TodaysData

return



GetPercentages:

  total = 0

  do a = 0 to 23
    total = total + h.a
  end

  do a = 0 to 23
    if(total>0)then
      pct.a = format((h.a/total)*100)
	else
	  pct.a = 0
  end

return



DrawGraph:

  Call AdeptCls line

  Call AdeptCurPos line, 0,0
  Call AdeptPrint line,"{FF{B2AdeptXBBS Average Hourly Usage Graph                      Designed by Paul Meyer{B1"
  Call AdeptPrint line,"\r\nAverage "||Today||" Usage for {S6"

  Call AdeptCurPos line, 19,0
  Call AdeptPrint line,"{F9        \r\n"
  Call AdeptPrint line,"{F8    00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23    \r\n"
  Call AdeptPrint line,"{F9        \r\n"

  do a = 0 to 23
    do b = 1 to 19-(19-pct.a)
      Call AdeptCurPos line, 19-b,4+(a*3)
      Call AdeptPrint line,"{F4"
	end
  end

return



Menu:

  Call AdeptCurPos line, 22,0
  Call AdeptPrint line,"{FGSelect a Day of the Week to view Usage [1-7] (Sun-Sat) or * for weekly usage: "
  Choice = AdeptWaitKey(line)

  if(Choice>48 & Choice<56) then 
  do
    CC = D2C(Choice)
    Today = Weekdays.CC
  end
  else
  if(Choice==42)then Today = 'Weekly'
  else
  quit='TRUE'

return

